From 14b46e08629f6f63792f9e2d5224d4ab7bcf0b4a Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 29 Aug 2012 10:22:41 +0200
Subject: Avoid to use raw SQL

--HG--
extra : source : 5d4a45c0ee1010e08f84906e6cbecd335b75132e
---
 app/models/principal.rb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/app/models/principal.rb b/app/models/principal.rb
index ae2c5dc..1c49db4 100644
--- a/app/models/principal.rb
+++ b/app/models/principal.rb
@@ -16,7 +16,7 @@ class Principal < ActiveRecord::Base
   set_table_name "#{table_name_prefix}users#{table_name_suffix}"
 
   has_many :members, :foreign_key => 'user_id', :dependent => :destroy
-  has_many :memberships, :class_name => 'Member', :foreign_key => 'user_id', :include => [ :project, :roles ], :conditions => "#{Project.table_name}.status=#{Project::STATUS_ACTIVE}", :order => "#{Project.table_name}.name"
+  has_many :memberships, :class_name => 'Member', :foreign_key => 'user_id', :include => [:project, :roles], :conditions => {:projects => {:status => Project::STATUS_ACTIVE}}, :order => "#{Project.table_name}.name"
   has_many :projects, :through => :memberships
 
   # Groups and active users
-- 
1.7.1


